> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Logs

> Retrieve workspace-level logs with pagination.



## OpenAPI

````yaml GET /api/v1/workspaces/{id}/logs
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/workspaces/{id}/logs:
    get:
      tags:
        - Logs
      summary: Fetch structured logs from a workspace.
      description: Fetch recent structured service logs from the workspace VM.
      operationId: get_workspace_logs
      parameters:
        - name: id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Workspace logs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWorkspaceLogsResponse'
      security:
        - bearer: []
components:
  schemas:
    GetWorkspaceLogsResponse:
      type: object
      required:
        - lines
        - has_more
      properties:
        cursor:
          type:
            - string
            - 'null'
        has_more:
          type: boolean
        lines:
          type: array
          items:
            $ref: '#/components/schemas/LogLine'
    LogLine:
      type: object
      description: A single log line - used by workspace logs and app logs.
      required:
        - line_number
        - message
      properties:
        line_number:
          type: integer
          format: int32
          minimum: 0
        message:
          type: string
        timestamp:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````